com.threerings.parlor.server

## Class ParlorSender

- java.lang.Object
- - com.threerings.presents.server.InvocationSender
  - - com.threerings.parlor.server.ParlorSender

    public class ParlorSender
    extends com.threerings.presents.server.InvocationSender

Used to issue notifications to a `ParlorReceiver` instance on a client.

### Constructor Summary

Constructors
Constructor and Description
`ParlorSender()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `gameIsReady(com.threerings.presents.data.ClientObject target, int arg1)` Issues a notification that will result in a call to `ParlorReceiver.gameIsReady(int)` on a client.
`static void` `sendInvite(com.threerings.presents.data.ClientObject target, int arg1, com.threerings.util.Name arg2, GameConfig arg3)` Issues a notification that will result in a call to `ParlorReceiver.receivedInvite(int, com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig)` on a client.
`static void` `sendInviteCancellation(com.threerings.presents.data.ClientObject target, int arg1)` Issues a notification that will result in a call to `ParlorReceiver.receivedInviteCancellation(int)` on a client.
`static void` `sendInviteResponse(com.threerings.presents.data.ClientObject target, int arg1, int arg2, Object arg3)` Issues a notification that will result in a call to `ParlorReceiver.receivedInviteResponse(int, int, java.lang.Object)` on a client.

### Methods inherited from class com.threerings.presents.server.InvocationSender

`sendNotification, sendNotification`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParlorSender

    public ParlorSender()

### Method Detail

#### gameIsReady

    public static void gameIsReady(com.threerings.presents.data.ClientObject target,
                                   int arg1)

Issues a notification that will result in a call to `ParlorReceiver.gameIsReady(int)` on a client.

#### sendInvite

    public static void sendInvite(com.threerings.presents.data.ClientObject target,
                                  int arg1,
                                  com.threerings.util.Name arg2,
                                  GameConfig arg3)

Issues a notification that will result in a call to `ParlorReceiver.receivedInvite(int, com.threerings.util.Name, com.threerings.parlor.game.data.GameConfig)` on a client.

#### sendInviteCancellation

    public static void sendInviteCancellation(com.threerings.presents.data.ClientObject target,
                                              int arg1)

Issues a notification that will result in a call to `ParlorReceiver.receivedInviteCancellation(int)` on a client.

#### sendInviteResponse

    public static void sendInviteResponse(com.threerings.presents.data.ClientObject target,
                                          int arg1,
                                          int arg2,
                                          Object arg3)

Issues a notification that will result in a call to `ParlorReceiver.receivedInviteResponse(int, int, java.lang.Object)` on a client.